/* eslint-env jest */

const { runPlugins } = require('./helpers');

const removeAttributeScopesPlugin = require('../remove-attribute-scopes');

it('removes scopes', () => {
	let actual = runPlugins(
    `
    [aa-foo^="bax"][bb-bar="baz"] {
      color: rebeccapurple;
    }
    [foo] .a { color: red; }
    [bar] .b { color: black; }
    [foo] .a, {
      color: rebeccapurple;
    }
  `,
    [removeAttributeScopesPlugin(["foo", "aa-foo"])]
  );
	expect(actual).toMatchSnapshot();
});
