const _ = require('lodash');
const { stringify, parse } = require("scss-parser");

module.exports = (scopes = []) => ($) => {

  // find all the attribute selectors that match the scope values passed in
  const $attributeToRemove = $()
    .find("rule")
    .filter((n) => {
      return scopes.includes(
        $(n)
          .children("selector")
          .children("attribute")
          .children("identifier")
          .first()
          .value()
      );
    });

  $attributeToRemove.remove();
};
